Loading...
Searching...
No Matches
search_partitioned_ibf.cpp File Reference

Implements raptor::search_partitioned_ibf. More...

`#include <seqan3/search/views/minimiser_hash.hpp>`
`#include <raptor/adjust_seed.hpp>`
`#include <raptor/build/partition_config.hpp>`
`#include <raptor/dna4_traits.hpp>`
`#include <raptor/search/do_parallel.hpp>`
`#include <raptor/search/load_index.hpp>`
`#include <raptor/search/search_partitioned_ibf.hpp>`
`#include <raptor/search/sync_out.hpp>`
`#include <raptor/threshold/threshold.hpp>`

## Functions

template<bool compressed>
void | raptor::search_partitioned_ibf (search_arguments const &arguments)
template void | raptor::search_partitioned_ibf< false > (search_arguments const &arguments)
template void | raptor::search_partitioned_ibf< true > (search_arguments const &arguments)

## Detailed Description

Implements raptor::search_partitioned_ibf.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>